Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUSingleTableGraphBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlRangeBinding
oracle.jbo.uicli.graph.JUGraphBinding
oracle.jbo.uicli.graph.GraphDataFromRow
oracle.jbo.uicli.graph.JUSingleTableGraphBinding
oracle.jbo.uicli.jui.JUSingleTableGraphBinding`

All Implemented Interfaces:
  ControlBinding, oracle.adf.model.ControlBinding, oracle.dss.util.DataSource, GraphConstants, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, oracle.adf.model.RangeBinding, RangeBinding, StructureDef

public class JUSingleTableGraphBinding
extends JUSingleTableGraphBinding

Data source for the BI Graph bean. This binding may be used for Graph which requires one value per marker. A Pie chart for example requires one value per marker. Each column in the table (ViewObject) represents a Group in the Graph. Each row in table (ViewObject) represents a series in the Graph.

See Also:
  `JUMasterDetailGraphBinding`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.uicli.graph.JUSingleTableGraphBinding
`mAdapter, mGraphPropertiesStream`

Fields inherited from class oracle.jbo.uicli.graph.JUGraphBinding
`emptyString`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Fields inherited from interface oracle.jbo.uicli.graph.GraphConstants
`BUBBLE_CHART, BUBBLE_CHART_DUAL_AXIS, BUBBLE_CHART_LABELS, BUBBLE_CHART_LABELS_DUAL_AXIS, CANDLE_STOCK_HI_LO_OPEN_CLOSE, CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME, HORIZONTAL_ABSOLUTE_AREA, HORIZONTAL_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_ABSOLUTE_AREA, HORIZONTAL_BI_POLAR_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_CLUSTERED_BARS, HORIZONTAL_BI_POLAR_STACKED_AREA, HORIZONTAL_BI_POLAR_STACKED_BARS, HORIZONTAL_BI_POLAR_STACKED_LINE, HORIZONTAL_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE, HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_LINE, HORIZONTAL_HISTOGRAM, HORIZONTAL_PERCENT_AREA, HORIZONTAL_PERCENT_BARS, HORIZONTAL_PERCENT_LINE, HORIZONTAL_STACKED_AREA, HORIZONTAL_STACKED_BARS, HORIZONTAL_STACKED_LINE, MULTI_PIE, MULTI_PROPORTIONAL_PIE, MULTI_PROPORTIONAL_RING_PIE, MULTI_RING_PIE, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME, PIE, PIE_BAR_CHART, POLAR, POLAR_DUAL_AXIS, RADAR_AREA, RADAR_LINE, RADAR_LINE_DUAL_AXIS, RING_PIE, RING_PIE_BAR_CHART, SPECTRAL_MAP, STOCK_HI_LO, STOCK_HI_LO_BI_POLAR, STOCK_HI_LO_CLOSE, STOCK_HI_LO_CLOSE_DUAL_AXIS, STOCK_HI_LO_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE, STOCK_HI_LO_OPEN_CLOSE_BI_POLAR, STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE_VOLUME, STOCK_HI_LO_VOLUME, THREED_BARS, THREED_FLOATING_CONNECTED_GROUP_AREA, THREED_FLOATING_CONNECTED_GROUP_RIBBON, THREED_FLOATING_CONNECTED_SERIES_AREA, THREED_FLOATING_CONNECTED_SERIES_RIBBON, THREED_FLOATING_CUBES, THREED_FLOATING_PYRAMIDS, THREED_HONEYCOMB_SURFACE, THREED_OCTAGONS, THREED_PYRAMIDS, THREED_SURFACE, THREED_SURFACE_WITH_SIDES, VERTICAL_ABSOLUTE_AREA, VERTICAL_ABSOLUTE_LINE, VERTICAL_BI_POLAR_ABSOLUTE_AREA, VERTICAL_BI_POLAR_ABSOLUTE_LINE, VERTICAL_BI_POLAR_CLUSTERED_BARS, VERTICAL_BI_POLAR_STACKED_AREA, VERTICAL_BI_POLAR_STACKED_BARS, VERTICAL_BI_POLAR_STACKED_LINE, VERTICAL_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_ABSOLUTE_LINE, VERTICAL_DUAL_AXIS_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_STACKED_BARS, VERTICAL_DUAL_AXIS_STACKED_LINE, VERTICAL_HISTOGRAM, VERTICAL_PERCENT_AREA, VERTICAL_PERCENT_BARS, VERTICAL_PERCENT_LINE, VERTICAL_STACKED_AREA, VERTICAL_STACKED_BARS, VERTICAL_STACKED_LINE, XY_SCATTER, XY_SCATTER_DUAL_AXIS, XY_SCATTER_WITH_LABELS, XY_SCATTER_WITH_LABELS_DUAL_AXIS`

Constructor Summary
`JUSingleTableGraphBinding(oracle.dss.graph.Graph control, JUIteratorBinding iterBinding, java.lang.String[] dataValueAttrNames, java.lang.String[] colLabels)`
`JUSingleTableGraphBinding(oracle.dss.graph.Graph control, JUIteratorBinding iterBinding, java.lang.String[] dataValueAttrNames, java.lang.String[] colLabels, java.io.InputStream graphPropertiesStream)`
`JUSingleTableGraphBinding(oracle.dss.graph.Graph control, JUIteratorBinding iterBinding, java.lang.String[] dataValueAttrNames, java.lang.String seriesLabelAttrName, java.lang.String[] colLabels)`
`JUSingleTableGraphBinding(oracle.dss.graph.Graph control, JUIteratorBinding iterBinding, java.lang.String[] dataValueAttrNames, java.lang.String seriesLabelAttrName, java.lang.String[] colLabels, java.lang.String graphDefFileName)` graphDefFileName should be of form mypackage1/BIGraphDef.xml

Method Summary
`java.lang.Object` | `getControlModel(java.lang.Object control)` Gets the associated View's model object.
`static JUSingleTableGraphBinding` | `getInstance(JUPanelBinding formBinding, oracle.dss.graph.Graph control, int graphType, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] dataValueAttrNames, java.lang.String seriesLabelAttrName)`
`static JUSingleTableGraphBinding` | `getInstance(JUPanelBinding formBinding, oracle.dss.graph.Graph control, int graphType, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] dataValueAttrNames, java.lang.String seriesLabelAttrName, java.lang.String[] colLabels)`

Methods inherited from class oracle.jbo.uicli.graph.JUSingleTableGraphBinding
`addControlToPanel, createCubeDataDirector, createRelationalDataDirector, init, notifyView, releaseReferences`

Methods inherited from class oracle.jbo.uicli.graph.GraphDataFromRow
`getColumnCount, getColumnLabel, getColumnLabels, getRowCount, getRowLabel, getValue, setColumnLabels, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.graph.JUGraphBinding
`buildAttributeListWithLabel, getNumberOfColumnPerMarker, getValueAt, isControlQueriable, isDirty, refreshBIBeanAdapter, rowIndexToRangeIndex, setValueAt, updateRowDeleted, updateRowInserted`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlRangeBinding
`createValueBindingRef, getCurrentRowIndex, getEstimatedRowCount, getInputErrorsForRowKey, getInputValueInRow, getRangeSet, getRangeSize, getRangeStart, internalGet, needsEstimatedRowCount, refreshControl, release, setCurrentRowAtIndex, setInputValueInRow, setRangeStart, updateNavigated, updateRangeScrolled, updateValuesFromRow`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputValue, getInputValue, getInputValueHandler, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setNullValueString, stopEditing, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName, toString`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.RangeBinding
`getLabelSet`

Methods inherited from interface oracle.adf.model.ControlBinding
`setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Constructor Detail

### JUSingleTableGraphBinding

    public JUSingleTableGraphBinding(oracle.dss.graph.Graph control,
                                     JUIteratorBinding iterBinding,
                                     java.lang.String[] dataValueAttrNames,
                                     java.lang.String seriesLabelAttrName,
                                     java.lang.String[] colLabels)

### JUSingleTableGraphBinding

    public JUSingleTableGraphBinding(oracle.dss.graph.Graph control,
                                     JUIteratorBinding iterBinding,
                                     java.lang.String[] dataValueAttrNames,
                                     java.lang.String seriesLabelAttrName,
                                     java.lang.String[] colLabels,
                                     java.lang.String graphDefFileName)

  graphDefFileName should be of form mypackage1/BIGraphDef.xml

### JUSingleTableGraphBinding

    public JUSingleTableGraphBinding(oracle.dss.graph.Graph control,
                                     JUIteratorBinding iterBinding,
                                     java.lang.String[] dataValueAttrNames,
                                     java.lang.String[] colLabels)

### JUSingleTableGraphBinding

    public JUSingleTableGraphBinding(oracle.dss.graph.Graph control,
                                     JUIteratorBinding iterBinding,
                                     java.lang.String[] dataValueAttrNames,
                                     java.lang.String[] colLabels,
                                     java.io.InputStream graphPropertiesStream)

Method Detail

### getInstance

    public static JUSingleTableGraphBinding getInstance(JUPanelBinding formBinding,
                                                        oracle.dss.graph.Graph control,
                                                        int graphType,
                                                        java.lang.String voInstanceName,
                                                        java.lang.String voIterName,
                                                        java.lang.String voIterBindingName,
                                                        java.lang.String[] dataValueAttrNames,
                                                        java.lang.String seriesLabelAttrName)

### getInstance

    public static JUSingleTableGraphBinding getInstance(JUPanelBinding formBinding,
                                                        oracle.dss.graph.Graph control,
                                                        int graphType,
                                                        java.lang.String voInstanceName,
                                                        java.lang.String voIterName,
                                                        java.lang.String voIterBindingName,
                                                        java.lang.String[] dataValueAttrNames,
                                                        java.lang.String seriesLabelAttrName,
                                                        java.lang.String[] colLabels)

### getControlModel

    public java.lang.Object getControlModel(java.lang.Object control)

  Gets the associated View's model object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.